Uploaded image for project: 'OpenIDM'
  1. OpenIDM
  2. OPENIDM-10969

Backport OPENIDM-10948: OpenerHandler require does not work with Internet Explorer

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: OpenIDM 5.0.0, OpenIDM 5.5.0, OpenIDM 6.0.0
    • Fix Version/s: 6.0.0.1
    • Component/s: Module - Web UI
    • Labels:
    • Target Version/s:
    • Verified Version/s:
    • Story Points:
      1
    • Support Ticket IDs:

      Description

      This affects the call

      ServiceInvokerTarget = (opener || window).require("org/forgerock/commons/ui/common/main/ServiceInvoker"),

      in UserModel.js when reauthentication occurs with the login window in a popup, resulting in exceptions in Internet Explorer with the ugly result that an empty popup window remains on screen. The following works correctly:

      ServiceInvokerTarget = require("org/forgerock/commons/ui/common/main/ServiceInvoker"),

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                mark.offutt Mark Offutt [X] (Inactive)
                Reporter:
                matthias.grabiak Matthias Grabiak
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: